Bug 733945 - be --repo http://bugseverywhere.org/bugs list -> crash
Summary: be --repo http://bugseverywhere.org/bugs list -> crash
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: be
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-28 20:31 UTC by Neal Becker
Modified: 2018-04-11 17:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 17:22:13 UTC


Attachments (Terms of Use)

Description Neal Becker 2011-08-28 20:31:23 UTC
Description of problem:
Does this package work at all?

be --repo http://bugseverywhere.org/bugs list
Traceback (most recent call last):
  File "/usr/bin/be", line 26, in <module>
    sys.exit(libbe.ui.command_line.main())
  File "/usr/lib/python2.7/site-packages/libbe/ui/command_line.py", line 333, in main
    ret = dispatch(ui, command, args)
  File "/usr/lib/python2.7/site-packages/libbe/ui/command_line.py", line 265, in dispatch
    ret = ui.run(command, options, args)
  File "/usr/lib/python2.7/site-packages/libbe/command/base.py", line 535, in run
    return command.run(options, args)
  File "/usr/lib/python2.7/site-packages/libbe/command/base.py", line 263, in run
    self.status = self._run(**params)
  File "/usr/lib/python2.7/site-packages/libbe/command/list.py", line 127, in _run
    bugdir = self._get_bugdir()
  File "/usr/lib/python2.7/site-packages/libbe/command/base.py", line 511, in get_bugdir
    self._bugdir = libbe.bugdir.BugDir(self.get_storage(),
  File "/usr/lib/python2.7/site-packages/libbe/command/base.py", line 499, in get_storage
    self._storage.connect()
  File "/usr/lib/python2.7/site-packages/libbe/storage/base.py", line 217, in connect
    self._connect()
  File "/usr/lib/python2.7/site-packages/libbe/storage/http.py", line 185, in _connect
    self.check_storage_version()
  File "/usr/lib/python2.7/site-packages/libbe/storage/http.py", line 323, in check_storage_version
    version = self.storage_version()
  File "/usr/lib/python2.7/site-packages/libbe/storage/http.py", line 331, in storage_version
    url, get=True, data_dict={'revision':revision})
  File "/usr/lib/python2.7/site-packages/libbe/storage/http.py", line 168, in get_post_url
    return get_post_url(url, get, data_dict, headers)
  File "/usr/lib/python2.7/site-packages/libbe/storage/http.py", line 118, in get_post_url
    raise InvalidURL(error=e, url=url, msg=msg)
libbe.storage.http.InvalidURL: The server couldn't fulfill the request.
URL: http://bugseverywhere.org/version?revision=None
Error code: 404

That was after I tried to use it in my mercurial controlled directory. 

be init said
no revision control detected

That's 0/2

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Matěj Cepl 2012-01-02 11:23:36 UTC
This is IMHO NOTABUG: there is nothing running on http://bugseverywhere.org/
anymore (notice, the error is 404, which is in HTTP-speak "URL not found").

There might be hidden request for enhancement here (more user-friendly handling of URL errors), but nothing Fedora-specific, I believe.

If you want to see be working, clone some repository with .be subdirectory (e.g., git://gitorious.org/be/be.git) and then run be list inside of it.

Comment 2 Fedora End Of Life 2012-08-07 17:22:16 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.